> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhooks resources

Webhooks allow you to monitor Box content for events, and receive notifications to a URL of your choice when they occur.

## Webhook

Represents a configured webhook.

<Accordion title="Attributes and example">
  | Property     | Type                                                | Required | Description                                                       |
  | ------------ | --------------------------------------------------- | -------- | ----------------------------------------------------------------- |
  | `id`         | `string`                                            | No       | The unique identifier for this webhook.                           |
  | `type`       | `enum<string>`                                      | No       | The value will always be `webhook`. Available options: `webhook`. |
  | `target`     | `object`                                            | No       | The item that will trigger the webhook.                           |
  | `created_by` | [User (Mini)](/reference/users-resources#user-mini) | No       | The user who created the webhook.                                 |
  | `created_at` | `string`                                            | No       | A timestamp identifying the time that the webhook was created.    |
  | `address`    | `string`                                            | No       | The URL that is notified by this webhook.                         |
  | `triggers`   | array of `enum<string>`                             | No       | An array of event names that this webhook is to be triggered for. |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "webhook",
    "target": {
      "id": "1231232",
      "type": "file"
    },
    "created_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "created_at": "2012-12-12T10:53:43-08:00",
    "address": "https://example.com/webhooks",
    "triggers": [
      "FILE.UPLOADED"
    ]
  }
  ```
</Accordion>

## Webhook (Mini)

Represents a configured webhook. This is a subset of the webhook object.

<Accordion title="Attributes and example">
  | Property | Type           | Required | Description                                                       |
  | -------- | -------------- | -------- | ----------------------------------------------------------------- |
  | `id`     | `string`       | No       | The unique identifier for this webhook.                           |
  | `type`   | `enum<string>` | No       | The value will always be `webhook`. Available options: `webhook`. |
  | `target` | `object`       | No       | The item that will trigger the webhook.                           |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "webhook",
    "target": {
      "id": "1231232",
      "type": "file"
    }
  }
  ```
</Accordion>

## Webhooks

A list of webhooks.

<Accordion title="Attributes and example">
  | Property      | Type                                     | Required | Description                                                                                                                                                                            |
  | ------------- | ---------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                 | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                 | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [Webhook (Mini)](#webhook-mini) | No       | A list of webhooks.                                                                                                                                                                    |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "11446498",
        "type": "webhook",
        "target": {
          "id": "1231232",
          "type": "file"
        }
      }
    ]
  }
  ```
</Accordion>
